ata_dev_reread_id
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_dev_reread_id — Re-read IDENTIFY data

## Synopsis

`int ata_dev_reread_id (` | struct ata_device * | dev,
| unsigned int | readid_flags`)`;

## Arguments

`dev`

  target ATA device

`readid_flags`

  read ID flags

## Description

Re-read IDENTIFY page and make sure `dev` is still attached to the port.

## LOCKING

Kernel thread context (may sleep)

## RETURNS

0 on success, negative errno otherwise

Prev | Up | Next
ata_dev_same_device | Home | ata_dev_revalidate